package me.hammerle.snuviengine.game;

import me.hammerle.snuviengine.api.Shader;

public class Hero extends Entity
{
    public Hero(Game game, double width, double height)
    {
        super(game, width, height);
    }
    
    @Override
    public void renderTick(double lag)
    {
        Shader.getColorRenderer().setDepth((float) yPos);
        Shader.getColorRenderer().drawRectangle(
                (float) (xPos), 
                (float) (yPos), 
                (float) (xPos + width), 
                (float) (yPos + height),
                0xAAFF0000);
    }

    @Override
    public void tick()
    {
        double nvx = 0.0;
        double nvy = 0.0;
        double speed = 3;
        
        if(Game.DOWN.isDown())
        {
            nvy += speed;
        }
        
        if(Game.UP.isDown())
        {
            nvy -= speed;
        }
        
        if(Game.LEFT.isDown())
        {
            nvx -= speed;
        }
        
        if(Game.RIGHT.isDown())
        {
            nvx += speed;
        }
        
        vx = nvx;
        vy = nvy;
        
        super.tick();
    }
}
